.section	".rodata"
.align	8
.section	".text"
f_6:
	add	%i2, 123, %i2
	retl
	nop
g_8:
	ld	[%o5 + 4], %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	mov	%i1, %i2
	add	%i1, 8, %i1
	set	f_6, %i3
	st	%i3, [%i2 + 0]
	mov	%i1, %o5
	add	%i1, 8, %i1
	set	g_8, %i3
	st	%i3, [%o5 + 0]
	st	%i2, [%o5 + 4]
	set	456, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	mov	%i2, %o5
	set	789, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
